package cn.minestar.agriculture.service.impl;

import java.util.List;

import cn.minestar.agriculture.entity.WxMiniStarRecord;
import cn.minestar.agriculture.mapper.WxMiniStarRecordMapper;
import cn.minestar.agriculture.service.IWxMiniStarRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author www.minestar.cn/
 * @date 2021-08-10
 */
@Service
public class WxMiniStarRecordServiceImpl implements IWxMiniStarRecordService
{
    @Autowired
    private WxMiniStarRecordMapper wxMiniStarRecordMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public WxMiniStarRecord selectWxMiniStarRecordById(Long id)
    {
        return wxMiniStarRecordMapper.selectWxMiniStarRecordById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param wxMiniStarRecord 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<WxMiniStarRecord> selectWxMiniStarRecordList(WxMiniStarRecord wxMiniStarRecord)
    {
        return wxMiniStarRecordMapper.selectWxMiniStarRecordList(wxMiniStarRecord);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param wxMiniStarRecord 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertWxMiniStarRecord(WxMiniStarRecord wxMiniStarRecord)
    {
        return wxMiniStarRecordMapper.insertWxMiniStarRecord(wxMiniStarRecord);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param wxMiniStarRecord 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateWxMiniStarRecord(WxMiniStarRecord wxMiniStarRecord)
    {
        return wxMiniStarRecordMapper.updateWxMiniStarRecord(wxMiniStarRecord);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteWxMiniStarRecordByIds(Long[] ids)
    {
        return wxMiniStarRecordMapper.deleteWxMiniStarRecordByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteWxMiniStarRecordById(Long id)
    {
        return wxMiniStarRecordMapper.deleteWxMiniStarRecordById(id);
    }
}
